
Feature: Login

Scenario: Successful Login with Valid Credentials
Given User Launch Chrome Browser
When User opens URL "https://admin-demo.nopcommerce.com/login"
And User enters Email as "admin@yourstore.com" and Password as "admin"
And Click on Login
Then Page Title should be "Dashboard / nopCommerce administration"
When User click on Log out link
Then Page Title should be "Your store. Login"
And close browser


@login
Scenario Outline: Login Data Driven
Given User Launch Chrome Browser
When User opens URL "https://admin-demo.nopcommerce.com/login"
And User enters Email as "admin@yourstore.com" and Password as "admin"
And Click on Login
Then Page Title should be "Dashboard / nopCommerce administration"
When User click on Log out link
Then Page Title should be "Your store. Login"
And close browser

Examples: 
				| email | password |
				| admin@yourstore.com | admin |
				| admin1@yourstore.com | admin123 |
				
				
@assert			
Scenario Outline: Webpage with hard and soft assert
Given User Launch Chrome Browser
When User opens URL "https://admin-demo.nopcommerce.com/login"
And User enters Email as "admin@yourstore.com" and Password as "admin"
And Click on Login
Then Page Title should be "Dashboard / nopCommerce administration"
When User click on Log out link
Then Page Title should be "Your store. Login"
And close browser

Examples: 
				| email | password |
				| admin@yourstore.com | admin |
				| admin1@yourstore.com | admin123 |
				

